#!/bin/bash

git config --global user.name "Jan Christian Grünhage"
git config --global user.email mail@janchristiangruenhage.de
git config --global gpg.program gpg2
git config --global commit.gpgsign true
sudo dnf install -y http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-$(rpm -E %fedora).noarch.rpm http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$(rpm -E %fedora).noarch.rpm https://dl.google.com/linux/direct/google-chrome-stable_current_x86_64.rpm https://prerelease.keybase.io/keybase_amd64.rpm
sudo dnf copr enable -y decathorpe/syncthing
sudo dnf copr enable -y region51/chrome-gnome-shell
sudo dnf install -y vlc ffmpeg geary hexchat menulibre htop heimdall shutter deluge latexila texlive-scheme-full gnupg gnupg2 pass gimp digikam syncthing* java-1.8.0-openjdk-devel yubi* chrome-gnome-shell --best --allowerasing
sudo dnf upgrade -y
echo -n "Application Name (ssh key):"
read application
echo -n "Hostname (ssh key):"
read hostname
comment=`date +%Y%m%d - $application - $hostname`
ssh-keygen -t rsa -b 8192 -C comment
cat ~.ssh/id_rsa.pub
echo "Insert this SSH key into gogs before you continue."
pause

cd ~
git clone ssh://git@jcg.re:10022/jcgruenhage/.password-store.git

gpg2 --keyserver hkp://pool.sks-keyservers.net --recv-keys 691C036821A1C2A05415F572F338AD3815B5D61C 33BD6633839B232E1A24BF4262BEE5EB8F370DC6

pause() {
	read -n1 -rsp $'Press any key to continue...\n'
}